
Foreman - Bug #2484

Editing host deletes root password

05/10/2013 02:38 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Rails   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Create a new unmanaged host and give it a password.

Provision it, try to log in.

Now edit the host and change something in there but do not touch the password field.

Reprovision, try to log in. Not possible.

Associated revisions

Revision 2193afa0 - 05/22/2013 08:15 AM - Joseph Magen

fixes #2484 - host and hostgroup root passwords are not saving

Revision 3f113d99 - 05/22/2013 08:19 AM - Ohad Levy

Revert "fixes #2484 - host and hostgroup root passwords are not saving"

This reverts commit 2193afa0e33e939739a53d2918cb2e31ee92ac7a.

merged by mistake

Revision 3595a70c - 06/20/2013 12:07 PM - Joseph Magen

fixes #2484 - host, hostgroup, and BMC passwords were overwritten as blank

Revision da59812b - 06/21/2013 03:59 AM - Joseph Magen

fixes #2484 - host, hostgroup, and BMC passwords were overwritten as blank

(cherry picked from commit 3595a70c5fa8f59ae48cd67cf009dbc839a14861)

History

#1 - 05/10/2013 02:50 AM - Ohad Levy

- Target version set to 1.2.0

yes, this is true to all passwords, rails changed the default behaviour, and now password fields are no longer visible.

it was already fixed for compute resources, and should be fixed for root password (host and hostgroup) and interface bmc password.

#2 - 05/16/2013 08:37 AM - Greg Sutcliffe

- Priority changed from Normal to High

#3 - 05/16/2013 08:39 AM - Joseph Magen

- Assignee set to Joseph Magen

#4 - 05/16/2013 11:42 AM - Joseph Magen
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/620

#5 - 05/22/2013 08:56 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2193afa0e33e939739a53d2918cb2e31ee92ac7a.

#6 - 05/22/2013 08:56 AM - Dominic Cleal

- Status changed from Closed to Ready For Testing

- % Done changed from 100 to 0

Change was reverted, accidental merge.

#7 - 05/22/2013 10:42 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3f113d99f8cea7d3ea8fcc0ce64c121ba35a2f98.

#8 - 05/27/2013 09:40 AM - Lukas Zapletal

So was it closed or not? Quite confused (late on emails tho :-)

Last time I tried it out it was not working.

#9 - 05/27/2013 09:45 AM - Dominic Cleal

- Status changed from Closed to Ready For Testing

- % Done changed from 100 to 0

Oops, the revert closed it again.

#10 - 05/30/2013 07:52 AM - Joseph Magen

- Priority changed from High to Normal

opened separate issue for not being able to login #2589

#11 - 06/20/2013 01:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3595a70c5fa8f59ae48cd67cf009dbc839a14861.
